Do more on the web, with a fast and secure browser!

Download Opera browser with:

  • built-in ad blocker
  • battery saver
  • free VPN
Download Opera

Scheduled logout

Hello, in order to introduce new security features and enhance your experience with Opera Forums we have to terminate all sessions that were started before Monday, March 25, 15:00 UTC.
If you find yourself logged out please rest assured that this is completely normal and expected. To participate in the discussions after that date you have to sign-in again using the "Login" button in the upper-right corner of the page.
This is a one-time action. Sorry for any inconvenience!

Lubuntu 17.04 : errors when installing v45.0

  • Hello, I have no idea how to workaround these errors in order to install Opera (32 bits), any ideas welcome !

      sudo dpkg -i opera-stable_45.0.2552.635_i386.deb 
    (Lecture de la base de données... 181893 fichiers et répertoires déjà installés.)
    Préparation du dépaquetage de opera-stable_45.0.2552.635_i386.deb ...
    Dépaquetage de opera-stable (45.0.2552.635) sur (45.0.2552.635) ...
    dpkg: des problèmes de dépendances empêchent la configuration de opera-stable :
     opera-stable dépend de gconf-service ; cependant :
    Le paquet gconf-service n'est pas installé.
     opera-stable dépend de libgconf-2-4 (>= 2.31.1) ; cependant :
    Le paquet libgconf-2-4 n'est pas installé.
    
    dpkg: erreur de traitement du paquet opera-stable (--install) :
     problèmes de dépendances - laissé non configuré
    Traitement des actions différées (« triggers ») pour desktop-file-utils (0.23-1ubuntu2) ...
    Traitement des actions différées (« triggers ») pour mime-support (3.60ubuntu1) ...
    Traitement des actions différées (« triggers ») pour hicolor-icon-theme (0.15-1) ...
    Traitement des actions différées (« triggers ») pour shared-mime-info (1.8-1) ...
    Des erreurs ont été rencontrées pendant l'exécution :
     opera-stable
    

    My OS :

    $ uname -a
    Linux compaq 4.10.0-20-generic #22-Ubuntu SMP Thu Apr 20 09:22:16 UTC 2017 i686 i686 i686 GNU/Linux
    
    $ lsb_release -a
    Distributor ID:	Ubuntu
    Description:	Ubuntu 17.04
    Release:	17.04
    Codename:	zesty
  • The error says something about libgconf-2-4, what version is installed?

  • I'm not sure to know how to check it, from Synaptic package manager it seems that I have none "libgconf" installed.

  • Post the output of this command

    apt-cache policy libgconf-2-4 gconf-service

  • libgconf-2-4:
    Installé : (aucun)
    Candidat : 3.2.6-3ubuntu7
    Table de version :
    3.2.6-3ubuntu7 500
    500 http://fr.archive.ubuntu.com/ubuntu zesty/universe i386 Packages
    gconf-service:
    Installé : (aucun)
    Candidat : 3.2.6-3ubuntu7
    Table de version :
    3.2.6-3ubuntu7 500
    500 http://fr.archive.ubuntu.com/ubuntu zesty/universe i386 Packages

  • It seems that none are installed ("aucun").

  • Thank you, after installing the missing files ("sudo apt install libgconf-2-4 gconf-service"), uninstalling Opera ("sudo dpkg -r opera-stable"), then install Opera again ("sudo dpkg -i opera-stable_45.0.2552.635_i386.deb"), Opera installed.

    The Opera shortcut icon does not appear in the LXDE menu, but it can be run from terminal by typing "opera".

  • Note: the icon appears in the menu after restarting the OS. Opera has set itself as default browser.

  • For the record and for future reference, the missing dependencies could also be installed with a

    sudo apt-get install -f

Log in to reply